Bug 17042 - Fix missing properties in Swagger definition for Hold
Summary: Fix missing properties in Swagger definition for Hold
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Web services (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Lari Taskula
QA Contact: Testopia
URL:
Keywords:
Depends on: 13903
Blocks: 17032
  Show dependency treegraph
 
Reported: 2016-08-03 15:47 UTC by Lari Taskula
Modified: 2017-12-07 22:15 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17042: Fix missing column in hold.json (820 bytes, patch)
2016-08-03 15:48 UTC, Lari Taskula
Details | Diff | Splinter Review
Bug 17042: Fix missing column in hold.json (892 bytes, patch)
2016-08-03 21:58 UTC, Benjamin Rokseth
Details | Diff | Splinter Review
Bug 17042: Fix missing column in hold.json (966 bytes, patch)
2016-08-05 10:25 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lari Taskula 2016-08-03 15:47:46 UTC
api/v1/definitions/hold.json is missing a property itemtype. Add this property.
Comment 1 Lari Taskula 2016-08-03 15:48:38 UTC Comment hidden (obsolete)
Comment 2 Benjamin Rokseth 2016-08-03 21:58:52 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-08-05 10:25:49 UTC
Created attachment 54025 [details] [review]
Bug 17042: Fix missing column in hold.json

Swagger definition for hold was missing a property.

Signed-off-by: Benjamin Rokseth <benjamin.rokseth@kul.oslo.kommune.no>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Brendan Gallagher 2016-08-06 18:11:01 UTC
pushed to master - Should be in the November 2016 - Thanks!
Comment 5 Frédéric Demians 2016-08-07 07:26:58 UTC
Pushed in 16.05. Will be in 16.05.03.